CREATE TABLE "INTERNAL_PROPERTIES"(
    "KEE" VARCHAR(20) NOT NULL,
    "IS_EMPTY" BOOLEAN NOT NULL,
    "TEXT_VALUE" VARCHAR(4000),
    "CLOB_VALUE" CLOB,
    "CREATED_AT" BIGINT NOT NULL
);
ALTER TABLE "INTERNAL_PROPERTIES" ADD CONSTRAINT "PK_INTERNAL_PROPERTIES" PRIMARY KEY("KEE");

CREATE TABLE "ORGANIZATIONS"(
    "UUID" VARCHAR(40) NOT NULL,
    "KEE" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255) NOT NULL,
    "DESCRIPTION" VARCHAR(256),
    "URL" VARCHAR(256),
    "AVATAR_URL" VARCHAR(256),
    "GUARDED" BOOLEAN,
    "DEFAULT_QUALITY_GATE_UUID" VARCHAR(40) NOT NULL,
    "DEFAULT_PERM_TEMPLATE_PROJECT" VARCHAR(40),
    "DEFAULT_PERM_TEMPLATE_APP" VARCHAR(40),
    "DEFAULT_PERM_TEMPLATE_PORT" VARCHAR(40),
    "NEW_PROJECT_PRIVATE" BOOLEAN NOT NULL,
    "SUBSCRIPTION" VARCHAR(40) NOT NULL,
    "CREATED_AT" BIGINT NOT NULL,
    "UPDATED_AT" BIGINT NOT NULL,
    "DEFAULT_GROUP_UUID" VARCHAR(40)
);
ALTER TABLE "ORGANIZATIONS" ADD CONSTRAINT "PK_ORGANIZATIONS" PRIMARY KEY("UUID");
CREATE UNIQUE INDEX "ORGANIZATION_KEY" ON "ORGANIZATIONS"("KEE");
